<mamecheat version="1">

  <cheat desc="Select Starting Event">
    <parameter>
      <item value="0x00">100 Meter Dash</item>
      <item value="0x01">Long Jump</item>
      <item value="0x02">Javelin Throw</item>
      <item value="0x03">110 Meter Hurdles</item>
      <item value="0x04">Hammer Throw</item>
      <item value="0x05">High Jump</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@2884==00)">maincpu.pb@2884=param</action>
    </script>
  </cheat>

  <cheat desc="Always Qualify in under 2 secs">
    <script state="run">
      <action>maincpu.pb@287F=01</action>
    </script>
  </cheat>

  <cheat desc="No False Starts">
    <script state="run">
      <action>maincpu.pb@28D9=00</action>
      <action>maincpu.pb@28F9=00</action> <!--  Pt 1 for PL1 + PL3 - Pt2 for PL2 + PL4 -->
    </script>
  </cheat>

  <cheat desc="No Long Jump fouls">
    <script state="run">
      <action>maincpu.pb@28C9=00</action>
    </script>
  </cheat>

  <cheat desc="Super Hammer Throw">
    <script state="run">
      <action>maincpu.pb@2A38=2D</action>
    </script>
  </cheat>

  <cheat desc="Select Angle Cheat">
    <parameter>
      <item value="0x01">Auto 45 degrees angle</item>
      <item value="0x02">Superman (Ideal for the High Jump)</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@28D8=2D</action>
      <action condition="(param==02)">maincpu.pb@28B3=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="On the High Jump it's best to disable the Speed cheat and"/>
  <cheat desc="use the Superman cheat. The Take steroids cheat is better"/>
  <cheat desc="than the Full Speed cheat but you must be careful with it"/>
  <cheat desc="incase you run off the pitch!"/>
  <cheat desc=" "/>

  <cheat desc="Select Speed Cheat">
    <parameter>
      <item value="0x01">Fast for Hurdles</item>
      <item value="0x02">Full Speed (too fast for Hurdles)</item>
      <item value="0x03">Take steroids</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@28B0=01</action>
      <action condition="(param==01)">maincpu.pb@28B1=02</action>
      <action condition="(param==01)">maincpu.pb@28B2=00</action>
      <action condition="(param==02)">maincpu.pb@28B0=01</action>
      <action condition="(param==02)">maincpu.pb@28B1=05</action>
      <action condition="(param==02)">maincpu.pb@28B2=00</action>
      <action condition="(param==03)">maincpu.pb@2834=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@2B81=02</action>
    </script>
  </cheat>

  <cheat desc="No High Jump Faults PL1">
    <script state="run">
      <action>maincpu.pb@2B9F=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@2BA1=02</action>
    </script>
  </cheat>

  <cheat desc="No High Jump Faults PL2">
    <script state="run">
      <action>maincpu.pb@2BBF=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@2BC1=02</action>
    </script>
  </cheat>

  <cheat desc="No High Jump Faults PL3">
    <script state="run">
      <action>maincpu.pb@2BDF=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@2BE1=02</action>
    </script>
  </cheat>

  <cheat desc="No High Jump Faults PL4">
    <script state="run">
      <action>maincpu.pb@2BFF=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="196" step="1"/>
    <script state="change">
      <action>maincpu.pb@2940=param</action>
      <action>maincpu.pb@281F=40</action>
      <action condition="(param LT 80)">maincpu.pb@281D=41</action>
      <action condition="(param GE 80)">maincpu.pb@281D=42</action>
      <action condition="(param GE 80)">maincpu.pb@2941=FF</action>
      <action condition="maincpu.pb@2823==00">maincpu.pb@2823=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
